# Configuration

This page provides information about configuring VT.ai to suit your needs.

## Configuration Options

VT.ai offers several configuration options that can be set through various methods:

1. Command-line arguments
2. Environment variables
3. UI settings
4. Configuration files

## Model Configuration

You can configure which models to use for different types of operations:

- Chat models
- Vision models
- Text-to-speech models
- Image generation models

## Web Search Settings

Customize how VT.ai handles web searches:

- **Summarize Search Results**: Toggle between AI-summarized results and raw search output
  - Enabled (default): Synthesizes multiple search results into a coherent summary
  - Disabled: Shows raw search results with minimal processing

- **Include URLs**: Choose whether to include source URLs in the search results
  - Useful for citation and verification

- **Search Context Size**: Control the depth of web searches
  - Options: low, medium, high
  - Higher values search more deeply but may take longer

## Performance Settings

Fine-tune the performance of your models:

- Temperature
- Top-P
- Max tokens
- Response format

## Routing Configuration

Configure the semantic routing system:

- Enable/disable dynamic routing
- Customize routing thresholds
- Add custom intents

## API Key Management

Manage your API keys for different providers:

- OpenAI
- Anthropic
- Google
- Other providers

## UI Customization

Customize the user interface to your preferences:

- Theme settings
- Display options
- Keyboard shortcuts

*This page is under construction. More detailed configuration information will be added soon.*
